org.apache.fop.traits

## Interface WritingModeTraitsGetter

- All Known Subinterfaces:
    WritingModeTraitsSetter
  All Known Implementing Classes:
    BlockContainer, PageSequence, Table, WritingModeTraits

      public interface WritingModeTraitsGetter

  This interface provides read access to FO traits related to writing mode.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Direction` | `getBlockProgressionDirection()`
    `Direction` | `getColumnProgressionDirection()`
    `boolean` | `getExplicitWritingMode()`
    `Direction` | `getInlineProgressionDirection()`
    `Direction` | `getRowProgressionDirection()`
    `Direction` | `getShiftDirection()`
    `WritingMode` | `getWritingMode()`

- - ### Method Detail

    - #### getInlineProgressionDirection

          Direction getInlineProgressionDirection()

      Returns:
        the "inline-progression-direction" trait

    - #### getBlockProgressionDirection

          Direction getBlockProgressionDirection()

      Returns:
        the "block-progression-direction" trait

    - #### getColumnProgressionDirection

          Direction getColumnProgressionDirection()

      Returns:
        the "column-progression-direction" trait

    - #### getRowProgressionDirection

          Direction getRowProgressionDirection()

      Returns:
        the "row-progression-direction" trait

    - #### getShiftDirection

          Direction getShiftDirection()

      Returns:
        the "shift-direction" trait

    - #### getWritingMode

          WritingMode getWritingMode()

      Returns:
        the "writing-mode" trait

    - #### getExplicitWritingMode

          boolean getExplicitWritingMode()

      Returns:
        the "explicit-writing-mode" trait

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.